org.apache.uima.cas.impl

## Interface FeatureStructureImpl

- All Superinterfaces:
    Cloneable, FeatureStructure
  All Known Subinterfaces:
    AnnotationImpl
  All Known Implementing Classes:
    Annotation, AnnotationBase, BooleanArray, ByteArray, DocumentAnnotation, DoubleArray, EmptyFloatList, EmptyFSList, EmptyIntegerList, EmptyStringList, FeatureStructureImplC, FloatArray, FloatList, FSArray, FSArrayList, FSHashSet, FSLinkedHashSet, FSList, Int2FS, IntegerArray, IntegerArrayList, IntegerList, LongArray, NonEmptyFloatList, NonEmptyFSList, NonEmptyIntegerList, NonEmptyStringList, ShortArray, Sofa, SourceDocumentInformation, StringArray, StringList, TOP

  Deprecated.
  use TOP instead

      @Deprecated
      public interface FeatureStructureImpl
      extends FeatureStructure

  Extra class for V2 compatibility only Methods here downcast to FeatureStructureImplC Methods here - only those not in v2's FeatureStructure

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `prettyPrint(int indent, int incr, StringBuffer buf, boolean useShortNames)` Deprecated.
    `void` | `prettyPrint(int indent, int incr, StringBuffer buf, boolean useShortNames, String s)` Deprecated.
    `void` | `prettyPrint(int indent, int incr, StringBuilder buf, boolean useShortNames)` Deprecated.
    `void` | `prettyPrint(int indent, int incr, StringBuilder buf, boolean useShortNames, String s)` Deprecated.
    `String` | `toString(int indent)` Deprecated.

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Method Detail

    - #### toString

          String toString(int indent)

      Deprecated.

    - #### prettyPrint

          void prettyPrint(int indent,
                           int incr,
                           StringBuffer buf,
                           boolean useShortNames)

      Deprecated.

    - #### prettyPrint

          void prettyPrint(int indent,
                           int incr,
                           StringBuilder buf,
                           boolean useShortNames)

      Deprecated.

    - #### prettyPrint

          void prettyPrint(int indent,
                           int incr,
                           StringBuffer buf,
                           boolean useShortNames,
                           String s)

      Deprecated.

    - #### prettyPrint

          void prettyPrint(int indent,
                           int incr,
                           StringBuilder buf,
                           boolean useShortNames,
                           String s)

      Deprecated.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.